#pragma once

class CIDList  
{
	// listed int to keep track of IDs
	class CListedInt
	{
	public:
		int i;
		CListedInt* next;
	};

	typedef CListedInt (*PCListedInt);

public:
	void AddIDRange(int first, int last);
	void RemoveID(int ID);
	void ClearList();
	int GetAndRemoveID();
	void AddID(int ID);
	CIDList();
	virtual ~CIDList();

protected:
	PCListedInt m_pHead;
};
